import * as _$$$MsClient from 'cn.keytop.midend.microservice.Client';
/**
 * 使用示例：111
 * import * as orgAdminClient from 'stc.ms.OrgAdminClient'
 *
 * const orgAdminClient = new orgAdminClient.OrgAdminClient()
 *  orgAdminClient.fun1('aaa','bbb','ccc')
 * .catch(error => {console.log(error)})
 * .then(value => {console.log(value)})
 *
 *
 * @author 微服务平台自动生成
 * @desc [演示-组织机构基本信息管理]接口定义
 * @date 2020-03-31 17:29:34
 **/
export declare class OrgAdminClient {
    private pid;
    private version;
    private authType;
    private serviceClient;
    constructor(serviceClientConfig?: _$$$MsClient.ServiceClientConfig);
    add(addCmOrgDTO: Add$Models.AddCmOrgDTO): Promise<Add$Models.OpResult>;
    update(cmOrg: Update$Models.CmOrg): Promise<Update$Models.OpResult>;
    delete(id: string): Promise<Delete$Models.OpResult>;
    get(id: string): Promise<Get$Models.OpResult>;
}
export declare namespace Add$Models {
    class AddCmOrgDTO {
        orgName?: string;
        orgCode?: string;
        tel?: string;
        email?: string;
        address?: string;
    }
    class OpResult {
        private _ms_response_data$$$;
        private _data?;
        private _sUCCESS?;
        private _fAIL?;
        constructor(value: any);
        get code(): string;
        set code(value: string);
        get message(): string;
        set message(value: string);
        get data(): object | undefined;
        set data(value: object | undefined);
        get SUCCESS(): OpResult | undefined;
        set SUCCESS(value: OpResult | undefined);
        get FAIL(): OpResult | undefined;
        set FAIL(value: OpResult | undefined);
    }
}
export declare namespace Update$Models {
    class CmOrg {
        id?: string;
        orgName?: string;
        orgCode?: string;
        tel?: string;
        email?: string;
        address?: string;
    }
    class OpResult {
        private _ms_response_data$$$;
        private _data?;
        private _sUCCESS?;
        private _fAIL?;
        constructor(value: any);
        get code(): string;
        set code(value: string);
        get message(): string;
        set message(value: string);
        get data(): object | undefined;
        set data(value: object | undefined);
        get SUCCESS(): OpResult | undefined;
        set SUCCESS(value: OpResult | undefined);
        get FAIL(): OpResult | undefined;
        set FAIL(value: OpResult | undefined);
    }
}
export declare namespace Delete$Models {
    class OpResult {
        private _ms_response_data$$$;
        private _data?;
        private _sUCCESS?;
        private _fAIL?;
        constructor(value: any);
        get code(): string;
        set code(value: string);
        get message(): string;
        set message(value: string);
        get data(): object | undefined;
        set data(value: object | undefined);
        get SUCCESS(): OpResult | undefined;
        set SUCCESS(value: OpResult | undefined);
        get FAIL(): OpResult | undefined;
        set FAIL(value: OpResult | undefined);
    }
}
export declare namespace Get$Models {
    class OpResult {
        private _ms_response_data$$$;
        private _data?;
        private _sUCCESS?;
        private _fAIL?;
        constructor(value: any);
        get code(): string;
        set code(value: string);
        get message(): string;
        set message(value: string);
        get data(): object | undefined;
        set data(value: object | undefined);
        get SUCCESS(): OpResult | undefined;
        set SUCCESS(value: OpResult | undefined);
        get FAIL(): OpResult | undefined;
        set FAIL(value: OpResult | undefined);
    }
}
